Bug 484268 - length validation checks needed for TPS inputs added for TPS roles
length validation checks needed for TPS inputs added for TPS roles
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: TPS (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ade Lee
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-02-05 13:59 EST by Ade Lee
Modified: 2015-01-04 18:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:32:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ade Lee 2009-02-05 13:59:11 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ade Lee 2009-02-05 14:30:56 EST
Fix attached in Bug 481670

Please see changes there.
Comment 2 Ade Lee 2009-02-06 00:22:26 EST
builder@dhcp231-124 tps]$ svn ci -m "Bugzilla BZ# 481670 and others"
Sending        tps/forms/esc/cgi-bin/sow/cfg.pl
Sending        tps/lib/perl/PKI/TPS/DRMInfoPanel.pm
Sending        tps/scripts/addAgents.ldif
Sending        tps/src/engine/RA.cpp
Sending        tps/src/include/engine/RA.h
Sending        tps/src/include/tus/tus_db.h
Sending        tps/src/main/ConfigStore.cpp
Sending        tps/src/modules/tokendb/mod_tokendb.cpp
Sending        tps/src/processor/RA_Enroll_Processor.cpp
Sending        tps/src/tus/tus_db.c
Transmitting file data ..........
Committed revision 211.

[builder@dhcp231-124 tps]$ svn ci -m "Bugzilla BZ# 481670 and others"
Sending        tps/pki-tps.spec
Transmitting file data .
Committed revision 212.
Comment 3 Asha Akkiangady 2009-07-05 22:08:40 EDT
Ade,
Please provide the STR for this bug.
thanks,
Asha
Comment 4 Ade Lee 2009-07-14 00:38:15 EDT
Not sure quite how to reproduce a bug per se.

You could try to create several users with more than 256 characters in the full name.  At that point, the user name (if it is even allowed) will be truncated. 

The most important thing though is that the system should be able to function normally -- ie. check the error logs for any segmentation faults.  If no segmentation faults or  fatal errors occur, then no memory overrun has occurred.
Comment 5 Asha Akkiangady 2009-07-15 14:51:42 EDT
Verified.

Created about 40 tps users having 257 characters in the first name, error logs did not show any segmentation faults. Seeing couple of issues related to this 1) CA List Certificate UI is not shown well, it would be nice if the long string is truncated (https://bugzilla.redhat.com/show_bug.cgi?id=511939). 2) When tried to login to tps agent/admin with this user credential, SSL layer is not accepting this certificate properly (https://bugzilla.redhat.com/show_bug.cgi?id=511946) .

Note You need to log in before you can comment on or make changes to this bug.